﻿Imports System.Web
Imports System.Net
Imports System.Text.RegularExpressions

Public Class frmMain
    Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
        If txtAddress.Text.Trim.Length = 0 Then
            MsgBox("Enter a web address.", MsgBoxStyle.Information, Text)
            Exit Sub
        End If

        Dim wc As New WebClient
        Dim hostname As String
        Dim result As String
        Dim regexOptions As RegexOptions = regexOptions.IgnoreCase Or regexOptions.Singleline
        Dim alexa As String
        Dim traffic As String

        Cursor = Cursors.WaitCursor
        Try
            hostname = txtAddress.Text.Replace("http://", "")
            hostname = txtAddress.Text.Replace("www.", "")

            result = wc.DownloadString("http://www.alexa.com/siteinfo/" & hostname & "#")
            result = RemoveWhiteSpaces(result)
            alexa = GetByRegex("<div class=""content1 noborder"" style=""margin-right: 20px;""><div>(?<data>.*?)</div>", result, "data")
            DropHtmlTags(alexa)
            txtAlexa.Text = alexa

            result = wc.DownloadString("http://" & hostname & ".visualizetraffic.com")
            traffic = GetByRegex("with its(?<data>.*?)daily visitors", result, "data").Trim
            txtVisitor.Text = traffic & " daily visitors"
        Catch ex As Exception
            MsgBox("Invalid address.", MsgBoxStyle.Exclamation, Text)
        End Try
        Cursor = Cursors.Default
    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        System.Diagnostics.Process.Start("http://www.alexa.com")
    End Sub

    Private Sub LinkLabel2_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel2.LinkClicked
        System.Diagnostics.Process.Start("http://www.visualizetraffic.com")
    End Sub
End Class
